# 2023-080

**<h2>Automated ER Diagram Generation, Plagiarism Check, and AI-based quiz System</h2>**

* **<h3>Main Objective</h3>**
Automated ER Diagram Generation, Plagiarism Check, and AI-based quiz System
 
* **<h3>Main Research questions</h3>**
The real-world problem addressed by this research is the inefficiency and subjectivity of current methods used to assess student assignments that involve designing Entity-Relationship (ER) diagrams.ER diagrams are widely used in various fields such as computer science, business management, and engineering to model data and relationships between entities. Students are often required to create ER diagrams as part of their coursework or assessments. However, manually assessing these diagrams can be a time-consuming and subjective process, especially in large classes with numerous submissions.
Additionally, plagiarism and improper collaboration can be major issues when assessing ER diagram assignments. It can be challenging for instructors to identify cases of plagiarism, and even if detected, it can be difficult to determine the level of collaboration involved and assign appropriate penalties. This can result in unfair outcomes for both honest and dishonest students.
Furthermore, current methods of assessing ER diagrams may not accurately reflect student understanding of the material. For example, an instructor may provide a scenario and ask students to design an ER diagram and SQL queries based on that scenario. However, some students may be able to create a visually appealing diagram and query without fully understanding the underlying concepts, while others may struggle with the visual representation but have a strong grasp of the concepts.
The proposed solution of an automated system that can generate ER diagrams, check for plagiarism, and suggest suitable questions for students to answer based on their ER diagrams and queries addresses these issues by providing a more efficient and objective assessment method. The system can also help instructors identify instances of plagiarism and improper collaboration more easily and accurately, while also providing students with targeted questions that reflect their level of understanding.
Overall, the development of an automated ER diagram and query assessment system has the potential to improve the fairness and efficiency of assessing student assignments in various fields, while also enhancing academic integrity.


* **<h3>Individual research question</h3>**

* **<h3>Individual Objectives</h3>**
 
* **<h3>Other necessary information</h3>**
